RaisFastRaisFast

Posts

Posts

GET
/api/v1/posts

Response Body

curl -X GET "https://example.com/api/v1/posts"
Empty
POST
/api/v1/posts

Authorization

bearer_auth
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

curl -X POST "https://example.com/api/v1/posts" \  -H "Content-Type: application/json" \  -d '{    "content": "string",    "title": "string"  }'
Empty
GET
/api/v1/posts/{slug}

Path Parameters

slug*string

Post slug

Response Body

curl -X GET "https://example.com/api/v1/posts/string"
Empty
DELETE
/api/v1/posts/{slug}

Authorization

bearer_auth
AuthorizationBearer <token>

In: header

Path Parameters

slug*string

Post slug

Response Body

curl -X DELETE "https://example.com/api/v1/posts/string"
Empty
PUT
/api/v1/posts/{slug}

Authorization

bearer_auth
AuthorizationBearer <token>

In: header

Path Parameters

slug*string

Post slug

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

curl -X PUT "https://example.com/api/v1/posts/string" \  -H "Content-Type: application/json" \  -d '{}'
Empty